BoxPlot + Scatter in JavaScript

Using ApexCharts with JavaScript

This BoxPlot + Scatter example uses ApexCharts.js directly in JavaScript, with no wrapper component.

Install it with npm install apexcharts, then mount the chart with new ApexCharts(element, options).render().

JavaScript installation guide
var options = {
  series: [
    {
      name: 'box',
      type: 'boxPlot',
      data: [
        {
          x: 'us-east',
          y: [54, 66, 69, 75, 88],
          goals: [
            {
              value: 32,
              strokeWidth: 0,
              strokeHeight: 13,
              strokeLineCap: 'round',
              strokeColor: '#FEB019',
            },
          ],
        },
        {
          x: 'us-west',
          y: [43, 65, 69, 76, 81],
          goals: [
            {
              value: 35,
              strokeWidth: 0,
              strokeHeight: 13,
              strokeLineCap: 'round',
              strokeColor: '#FEB019',
            },
            {
              value: 95,
              strokeWidth: 0,
              strokeHeight: 13,
              strokeLineCap: 'round',
              strokeColor: '#FEB019',
            },
          ],
        },
        {
          x: 'eu-central',
          y: [31, 39, 45, 51, 59],
          goals: [
            {
              value: 64,
              strokeWidth: 0,
              strokeHeight: 13,
              strokeLineCap: 'round',
              strokeColor: '#FEB019',
            },
            {
              value: 75,
              strokeWidth: 0,
              strokeHeight: 13,
              strokeLineCap: 'round',
              strokeColor: '#FEB019',
            },
          ],
        },
        {
          x: 'ap-south',
          y: [39, 46, 55, 65, 71],
          goals: [
            {
              value: 27,
              strokeWidth: 0,
              strokeHeight: 13,
              strokeLineCap: 'round',
              strokeColor: '#FEB019',
            },
            {
              value: 77,
              strokeWidth: 0,
              strokeHeight: 13,
              strokeLineCap: 'round',
              strokeColor: '#FEB019',
            },
          ],
        },
        {
          x: 'sa-east',
          y: [29, 31, 35, 39, 44],
          goals: [
            {
              value: 10,
              strokeWidth: 0,
              strokeHeight: 13,
              strokeLineCap: 'round',
              strokeColor: '#FEB019',
            },
            {
              value: 56,
              strokeWidth: 0,
              strokeHeight: 13,
              strokeLineCap: 'round',
              strokeColor: '#FEB019',
            },
            {
              value: 62,
              strokeWidth: 0,
              strokeHeight: 13,
              strokeLineCap: 'round',
              strokeColor: '#FEB019',
            },
            {
              value: 98,
              strokeWidth: 0,
              strokeHeight: 13,
              strokeLineCap: 'round',
              strokeColor: '#FEB019',
            },
          ],
        },
      ],
    },
  ],
  chart: {
    type: 'boxPlot',
    height: 350,
  },
  colors: ['#008FFB', '#FEB019'],
  title: {
    text: 'Request Latency by Region (ms)',
    align: 'left',
  },
  xaxis: {
    type: 'category',
  },
}

var chart = new ApexCharts(document.querySelector('#chart'), options)
chart.render()

BoxPlot + Scatter in Angular

Using ApexCharts with Angular

This BoxPlot + Scatter example wires ApexCharts into Angular through the ng-apexcharts component.

Install it with npm install ng-apexcharts apexcharts, then mount the chart with <apx-chart [series]="series" [chart]="chart"></apx-chart>.

Angular charts guide

This demo uses imperative chart updates. The generated code is a faithful Angular translation: open it in CodeSandbox to run and tweak.

import { Component, AfterViewInit, OnDestroy, ViewChild } from '@angular/core';
import {
  ChartComponent,
  ApexAxisChartSeries,
  ApexNonAxisChartSeries,
  ApexChart,
  ApexXAxis,
  ApexYAxis,
  ApexTitleSubtitle,
  ApexDataLabels,
  ApexStroke,
  ApexFill,
  ApexLegend,
  ApexTooltip,
  ApexMarkers,
  ApexPlotOptions,
  ApexResponsive,
  ApexGrid,
  ApexAnnotations,
  ApexStates,
  ApexTheme,
  NgApexchartsModule,
} from 'ng-apexcharts';

export type ChartOptions = {
  series?: ApexAxisChartSeries | ApexNonAxisChartSeries;
  chart?: ApexChart;
  xaxis?: ApexXAxis;
  yaxis?: ApexYAxis | ApexYAxis[];
  title?: ApexTitleSubtitle;
  subtitle?: ApexTitleSubtitle;
  dataLabels?: ApexDataLabels;
  stroke?: ApexStroke;
  fill?: ApexFill;
  legend?: ApexLegend;
  tooltip?: ApexTooltip;
  markers?: ApexMarkers;
  plotOptions?: ApexPlotOptions;
  responsive?: ApexResponsive[];
  grid?: ApexGrid;
  annotations?: ApexAnnotations;
  states?: ApexStates;
  theme?: ApexTheme;
  colors?: string[];
  labels?: any;
};

@Component({
  selector: 'app-chart',
  standalone: true,
  imports: [NgApexchartsModule],
  templateUrl: './chart.component.html',
})
export class AppChart implements AfterViewInit, OnDestroy {
  @ViewChild('chart') chart!: ChartComponent;
  public chartOptions: Partial<ChartOptions> = {
          series: [
            {
              name: 'box',
              type: 'boxPlot',
              data: [
                {
                  x: 'us-east',
                  y: [54, 66, 69, 75, 88],
                  goals: [
                    {
                      value: 32,
                      strokeWidth: 0,
                      strokeHeight: 13,
                      strokeLineCap: 'round',
                      strokeColor: '#FEB019',
                    },
                  ],
                },
                {
                  x: 'us-west',
                  y: [43, 65, 69, 76, 81],
                  goals: [
                    {
                      value: 35,
                      strokeWidth: 0,
                      strokeHeight: 13,
                      strokeLineCap: 'round',
                      strokeColor: '#FEB019',
                    },
                    {
                      value: 95,
                      strokeWidth: 0,
                      strokeHeight: 13,
                      strokeLineCap: 'round',
                      strokeColor: '#FEB019',
                    },
                  ],
                },
                {
                  x: 'eu-central',
                  y: [31, 39, 45, 51, 59],
                  goals: [
                    {
                      value: 64,
                      strokeWidth: 0,
                      strokeHeight: 13,
                      strokeLineCap: 'round',
                      strokeColor: '#FEB019',
                    },
                    {
                      value: 75,
                      strokeWidth: 0,
                      strokeHeight: 13,
                      strokeLineCap: 'round',
                      strokeColor: '#FEB019',
                    },
                  ],
                },
                {
                  x: 'ap-south',
                  y: [39, 46, 55, 65, 71],
                  goals: [
                    {
                      value: 27,
                      strokeWidth: 0,
                      strokeHeight: 13,
                      strokeLineCap: 'round',
                      strokeColor: '#FEB019',
                    },
                    {
                      value: 77,
                      strokeWidth: 0,
                      strokeHeight: 13,
                      strokeLineCap: 'round',
                      strokeColor: '#FEB019',
                    },
                  ],
                },
                {
                  x: 'sa-east',
                  y: [29, 31, 35, 39, 44],
                  goals: [
                    {
                      value: 10,
                      strokeWidth: 0,
                      strokeHeight: 13,
                      strokeLineCap: 'round',
                      strokeColor: '#FEB019',
                    },
                    {
                      value: 56,
                      strokeWidth: 0,
                      strokeHeight: 13,
                      strokeLineCap: 'round',
                      strokeColor: '#FEB019',
                    },
                    {
                      value: 62,
                      strokeWidth: 0,
                      strokeHeight: 13,
                      strokeLineCap: 'round',
                      strokeColor: '#FEB019',
                    },
                    {
                      value: 98,
                      strokeWidth: 0,
                      strokeHeight: 13,
                      strokeLineCap: 'round',
                      strokeColor: '#FEB019',
                    },
                  ],
                },
              ],
            },
          ],
          chart: {
            type: 'boxPlot',
            height: 350,
          },
          colors: ['#008FFB', '#FEB019'],
          title: {
            text: 'Request Latency by Region (ms)',
            align: 'left',
          },
          xaxis: {
            type: 'category',
          },
        };
  ngAfterViewInit() {
    (window as any).ApexCharts.setLicense('APEX-eyJleHBpcnlEYXRlIjoiMjEyNi0wNy0wNCIsImlzc3VlRGF0ZSI6IjIwMjYtMDctMjgiLCJwbGFuIjoicHJlbWl1bSIsImRvbWFpbnMiOlsiYXBleGNoYXJ0cy5jb20iLCIxMjcuMC4wLjEiLCJsb2NhbGhvc3QiXSwic2lnIjoieVBmb1VCc0Z3TU9ZdUEyaEZkR0I2Y1FtZ0JITUtXcVdJSjB2NVRESXRZbFR3eDJMUmh6R2x0RUc3VXJ4X0s3b25ZMWRZb2Z2VGItN01ydFYyNDVyOWcifQ==');
  }

  ngOnDestroy() {
    // no cleanup needed
  }
}

import React from 'react'
import ReactApexChart from 'react-apexcharts'
import './styles.css'

const ApexChart = () => {
  const [state, setState] = React.useState({
    series: [
      {
        name: 'box',
        type: 'boxPlot',
        data: [
          {
            x: 'us-east',
            y: [54, 66, 69, 75, 88],
            goals: [
              {
                value: 32,
                strokeWidth: 0,
                strokeHeight: 13,
                strokeLineCap: 'round',
                strokeColor: '#FEB019',
              },
            ],
          },
          {
            x: 'us-west',
            y: [43, 65, 69, 76, 81],
            goals: [
              {
                value: 35,
                strokeWidth: 0,
                strokeHeight: 13,
                strokeLineCap: 'round',
                strokeColor: '#FEB019',
              },
              {
                value: 95,
                strokeWidth: 0,
                strokeHeight: 13,
                strokeLineCap: 'round',
                strokeColor: '#FEB019',
              },
            ],
          },
          {
            x: 'eu-central',
            y: [31, 39, 45, 51, 59],
            goals: [
              {
                value: 64,
                strokeWidth: 0,
                strokeHeight: 13,
                strokeLineCap: 'round',
                strokeColor: '#FEB019',
              },
              {
                value: 75,
                strokeWidth: 0,
                strokeHeight: 13,
                strokeLineCap: 'round',
                strokeColor: '#FEB019',
              },
            ],
          },
          {
            x: 'ap-south',
            y: [39, 46, 55, 65, 71],
            goals: [
              {
                value: 27,
                strokeWidth: 0,
                strokeHeight: 13,
                strokeLineCap: 'round',
                strokeColor: '#FEB019',
              },
              {
                value: 77,
                strokeWidth: 0,
                strokeHeight: 13,
                strokeLineCap: 'round',
                strokeColor: '#FEB019',
              },
            ],
          },
          {
            x: 'sa-east',
            y: [29, 31, 35, 39, 44],
            goals: [
              {
                value: 10,
                strokeWidth: 0,
                strokeHeight: 13,
                strokeLineCap: 'round',
                strokeColor: '#FEB019',
              },
              {
                value: 56,
                strokeWidth: 0,
                strokeHeight: 13,
                strokeLineCap: 'round',
                strokeColor: '#FEB019',
              },
              {
                value: 62,
                strokeWidth: 0,
                strokeHeight: 13,
                strokeLineCap: 'round',
                strokeColor: '#FEB019',
              },
              {
                value: 98,
                strokeWidth: 0,
                strokeHeight: 13,
                strokeLineCap: 'round',
                strokeColor: '#FEB019',
              },
            ],
          },
        ],
      },
    ],
    options: {
      chart: {
        type: 'boxPlot',
        height: 350,
      },
      colors: ['#008FFB', '#FEB019'],
      title: {
        text: 'Request Latency by Region (ms)',
        align: 'left',
      },
      xaxis: {
        type: 'category',
      },
    },
  })

  return (
    <div>
      <div id="chart">
        <ReactApexChart
          options={state.options}
          series={state.series}
          type="boxPlot"
          height={350}
        />
      </div>
    </div>
  )
}

export default ApexChart

BoxPlot + Scatter in Vue

Using ApexCharts with Vue

This BoxPlot + Scatter example wires ApexCharts into Vue through the vue3-apexcharts component.

Install it with npm install vue3-apexcharts apexcharts, then mount the chart with <apexchart type="..." :options="options" :series="series" />.

Vue charts guide
<template>
  <div>
    <div id="chart">
      <apexchart
        type="boxPlot"
        height="350"
        :options="chartOptions"
        :series="series"
      ></apexchart>
    </div>
  </div>
</template>

<script>
import VueApexCharts from 'vue-apexcharts'

export default {
  components: {
    apexchart: VueApexCharts,
  },
  data: function () {
    return {
      series: [
        {
          name: 'box',
          type: 'boxPlot',
          data: [
            {
              x: 'us-east',
              y: [54, 66, 69, 75, 88],
              goals: [
                {
                  value: 32,
                  strokeWidth: 0,
                  strokeHeight: 13,
                  strokeLineCap: 'round',
                  strokeColor: '#FEB019',
                },
              ],
            },
            {
              x: 'us-west',
              y: [43, 65, 69, 76, 81],
              goals: [
                {
                  value: 35,
                  strokeWidth: 0,
                  strokeHeight: 13,
                  strokeLineCap: 'round',
                  strokeColor: '#FEB019',
                },
                {
                  value: 95,
                  strokeWidth: 0,
                  strokeHeight: 13,
                  strokeLineCap: 'round',
                  strokeColor: '#FEB019',
                },
              ],
            },
            {
              x: 'eu-central',
              y: [31, 39, 45, 51, 59],
              goals: [
                {
                  value: 64,
                  strokeWidth: 0,
                  strokeHeight: 13,
                  strokeLineCap: 'round',
                  strokeColor: '#FEB019',
                },
                {
                  value: 75,
                  strokeWidth: 0,
                  strokeHeight: 13,
                  strokeLineCap: 'round',
                  strokeColor: '#FEB019',
                },
              ],
            },
            {
              x: 'ap-south',
              y: [39, 46, 55, 65, 71],
              goals: [
                {
                  value: 27,
                  strokeWidth: 0,
                  strokeHeight: 13,
                  strokeLineCap: 'round',
                  strokeColor: '#FEB019',
                },
                {
                  value: 77,
                  strokeWidth: 0,
                  strokeHeight: 13,
                  strokeLineCap: 'round',
                  strokeColor: '#FEB019',
                },
              ],
            },
            {
              x: 'sa-east',
              y: [29, 31, 35, 39, 44],
              goals: [
                {
                  value: 10,
                  strokeWidth: 0,
                  strokeHeight: 13,
                  strokeLineCap: 'round',
                  strokeColor: '#FEB019',
                },
                {
                  value: 56,
                  strokeWidth: 0,
                  strokeHeight: 13,
                  strokeLineCap: 'round',
                  strokeColor: '#FEB019',
                },
                {
                  value: 62,
                  strokeWidth: 0,
                  strokeHeight: 13,
                  strokeLineCap: 'round',
                  strokeColor: '#FEB019',
                },
                {
                  value: 98,
                  strokeWidth: 0,
                  strokeHeight: 13,
                  strokeLineCap: 'round',
                  strokeColor: '#FEB019',
                },
              ],
            },
          ],
        },
      ],
      chartOptions: {
        chart: {
          type: 'boxPlot',
          height: 350,
        },
        colors: ['#008FFB', '#FEB019'],
        title: {
          text: 'Request Latency by Region (ms)',
          align: 'left',
        },
        xaxis: {
          type: 'category',
        },
      },
    }
  },
}
</script>

<style>
#chart {
  max-width: 650px;
  margin: 35px auto;
}
</style>